import request from '@/config/axios'

export interface DailySalesVO {
  id: string
  lsh : string
  rq: string
  xsmz: string
  xsmzName: string,
  xsl: number,
  bz: string,

}

export interface DailySalesPageReqVO extends PageParam {
  xsmz?: string,
  startDate?: Date,
  endDate?: Date,
}

// 查询DailySales列表
export const getDailySalesPage = (params: DailySalesPageReqVO) => {
  return request.get({ url: '/xmcpms/process/prodOrder/page', params })
}

// 查询DailySales列表
export const getPointList = (params: DailySalesPageReqVO) => {
  return request.get({ url: '/xmcpms/process/prodOrder/list', params })
}

// 查询DailySales详情
export const getDailySales = (id: number) => {
  return request.get({ url: `/xmcpms/process/prodOrder/info/${id}`})
}

// 新增DailySales
export const createDailySales = (data: DailySalesVO) => {
  return request.post({ url: '/xmcpms/process/prodOrder/create', data })
}

// 修改DailySales
export const updateDailySales = (data: DailySalesVO) => {
  return request.put({ url: '/xmcpms/process/prodOrder/update', data })
}

// 删除DailySales
export const deleteDailySales = (id: number) => {
  return request.delete({ url: '/xmcpms/process/prodOrder/delete?id=' + id })
}

//导出DailySalesList
export const exportDailySales = (params) => {
  return request.download({ url: '/xmcpms/process/prodOrder/export', params })
}

// 下载用户导入模板
export const importPointTemplate = () => {
  return request.download({ url: '/xmcpms/process/prodOrder/get-import-template' })
}
